!FILE       :	convergence_check.f90
!UNIT NAME  :	convergence_check	(SUBROUTINE)
!DESCRIPTION:	This subroutine check convergence, stopping parameters and 
!		dump some data to the screen
!		Written by Joel GUERRERO 
!		REV01-01/2007
!		Email: joegi.geo@yahoo.com

subroutine convergence_check

use shared_data

implicit none





!****************************************************************************************
!LOCAL VARIABLES DEFINITION
stop_program	=	0		!=0 continue =1 stop	THIS VALUE IS SET BY THE PROGRAM NOT THE USER
!
!ATTENTION: ALL DUMMY VARIABLES DECLARED AS LOCAL VARIABLES ARE TEMPORAL
!THEY ARE ONLY USED WITHIN THE SUBROUTINE         
!****************************************************************************************



!*********************************************************************************
!Dumping some data to the screen
!
if(mod(iter_actual,save_frec).eq.0) then

	
	print *,	'*********************************************'
   	write(95,*)	'*********************************************'
	print *
	write(95,*)
	print *,	'   Actual iteration =  ',iter_actual
	print *,	'   Actual residual  =  ',sum
	write(95,*)	'   Actual iteration =  ',iter_actual
	write(95,*)	'   Actual residual  =  ',sum

	call screen_control

!*********************************************************************************
	!comment this line if you dont want intermediate output files
	call tecplot_output			
!*********************************************************************************

endif
!*********************************************************************************



!*********************************************************************************
!Start testing for the end of the physical time loop saving the final physical solution 
!
if (iter_actual.eq.iter_max) then

	stop_program	=	1

	print *
	print *,'*********************************************'
	print *
	print *,'END OF NORMAL EXECUTION: MAXIMAL NUMBER OF TIME STEPS REACHED : ',iter_max_in
	print *
	print *,'*********************************************'
	print *
	print *,'Final iteration =  ',iter_actual
	print *,'Final time      =  ',time_actual
	print *,'Final residual  =  ',sum

	write(95,*)
	write(95,*)'*********************************************'
	write(95,*)
	write(95,*)'END OF NORMAL EXECUTION: MAXIMAL NUMBER OF TIME STEPS REACHED : ',iter_max_in
	write(95,*)
	write(95,*)'*********************************************'
	write(95,*)
	write(95,*)'Final iteration =  ',iter_actual
	write(95,*)'Final time      =  ',time_actual
	write(95,*)'Final residual  =  ',sum

	return

endif
  
if (sum.lt.residual) then

	stop_program	=	1

	print *
	print *,'*********************************************'
	print *
	print *,'END OF NORMAL EXECUTION: MINIMAL RESIDUAL REACHED : ',sum
	print *
	print *,'*********************************************'
	print *
	print *,'Final iteration =  ',iter_actual
	print *,'Final time      =  ',time_actual
	print *,'Final residual  =  ',sum

	write(95,*)
	write(95,*)'*********************************************'
	write(95,*)
	write(95,*)'END OF NORMAL EXECUTION: MINIMAL RESIDUAL REACHED : ',sum
	write(95,*)
	write(95,*)'*********************************************'
	write(95,*)
	write(95,*)'Final iteration =  ',iter_actual
	write(95,*)'Final time      =  ',time_actual
	write(95,*)'Final residual  =  ',sum

	return

endif

!if (abs(time_actual - time_max).lt.eps) then
if (abs(time_actual - time_max).lt.eps.and.time_type.eq.0) then  !I added time_type to be sure that its only done if the computation is unstady
!eps define in sol_init		***************

	stop_program	=	1
	
	print *
	print *,'*********************************************'
	print *
	print *,'END OF NORMAL EXECUTION: MAXIMAL PHYSICAL TIME REACHED : ',time_actual
	print *
	print *,'*********************************************'
	print *
	print *,'Final iteration =  ',iter_actual
	print *,'Final time      =  ',time_actual
	print *,'Final residual  =  ',sum

	write(95,*)
	write(95,*)'*********************************************'
	write(95,*)
	write(95,*)'END OF NORMAL EXECUTION: MAXIMAL PHYSICAL TIME REACHED : ',time_actual
	write(95,*)
	write(95,*)'*********************************************'
	write(95,*)
	write(95,*)'Final iteration =  ',iter_actual
	write(95,*)'Final time      =  ',time_actual
	write(95,*)'Final residual  =  ',sum

	return

endif
!
!End testing for the end of the physical time loop saving the final physical solution 
!*********************************************************************************



end subroutine convergence_check
