!FILE       :	initial_output.f90
!UNIT NAME  :	initial_output	(SUBROUTINE)
!DESCRIPTION:	This subroutine dump the initial data to tecplot format
!		If you want you can comment this subroutine
!		I only used for debugging porpuses
!		Written by Joel GUERRERO on 
!		REV01-01/2007
!		Email: joegi.geo@yahoo.com

subroutine initial_output


use shared_data

implicit none





!***************************************************************************
!COMPUTE VELOCITIES FROM MOMENTUM
!
do is=1,n_ver

	vel_u(is)	=	vars_actual(2,is)/vars_actual(1,is)
	vel_v(is)	=	vars_actual(3,is)/vars_actual(1,is)
	vel_tot(is)	=	sqrt(vel_u(is)*vel_u(is) + vel_v(is)*vel_v(is))

enddo
!***************************************************************************



!***************************************************************************
!DUMP MESH DATA TO tecoutput.tec FILE
!
open (151,file='tecplot_inital_output.tec',status='unknown')

write(151,*) 'VARIABLES = "X" "Y" "RHO" "U" "V" "PRES" '

write(151,*) 'ZONE T="Triangulation" N= ',n_ver,'E= ',n_ele,' DATAPACKING=POINT, ZONETYPE=FETRIANGLE'
	
do i=1,n_ver
	write(151,*) coor(1,i),coor(2,i),vars_actual(1,i),vel_u(i),vel_v(i),pres(i)
end do

do it=1,n_ele
	write(151,*) connectivity(1,it),connectivity(2,it),connectivity(3,it) 
end do


close(151)
!***************************************************************************



end subroutine initial_output
