!FILE       :	pres_update.f90
!UNIT NAME  :	pres_update	(SUBROUTINE)
!DESCRIPTION:	This subroutine update the pressure within the time loop
!		Written by Joel GUERRERO
!		REV01-01/2007
!		Email: joegi.geo@yahoo.com

subroutine pres_update


use shared_data

implicit none





!****************************************************************************************
!LOCAL VARIABLES
!
real::xrho					!DELTA RHO FOR EVALUATION
!
!ATTENTION: ALL DUMMY VARIABLES DECLARED AS LOCAL VARIABLES ARE TEMPORAL
!THEY ARE ONLY USED WITHIN THE SUBROUTINE
!****************************************************************************************


!****************************************************************************************
xrho=1.0e-10

do is=1,n_ver

	if(vars_actual(1,is).lt.xrho) then

		print *,array_boundary_ver(is),coor(1,is),coor(2,is),pres(is)
        	stop 'ATTENTION:   DENSITY < 0  (PRES_UPDATE) '

	endif

	pres(is)=	gam1*(vars_actual(4,is) - 0.5*(vars_actual(2,is)*vars_actual(2,is) + &
			vars_actual(3,is)*vars_actual(3,is))/vars_actual(1,is))

	if(pres(is).lt.xrho) then

        	print *,array_boundary_ver(is),coor(1,is),coor(2,is),pres(is)
        	stop 'ATTENTION:   PRESSURE < 0  (PRES_UPDATE) '

	endif

enddo
!****************************************************************************************


end subroutine pres_update
