!FILE       :	read_data.f90
!UNIT NAME  :	read_data	(SUBROUTINE)
!DESCRIPTION:	This subroutine read data in input file 
!		Written by Joel GUERRERO
!		REV01-01/2007
!		Email: joegi.geo@yahoo.com

subroutine read_data


use shared_data

implicit none





!****************************************************************************************
!READING DATA FROM INPUT FILE
!
open   (105,file="DATA",status='old')
rewind (105)

read (105, *) in_mach
read (105, *) pres_ratio		
read (105, *) air_incidence_angle
read (105, *) flux_type
read (105, *) sch_order
read (105, *) time_type
read (105, *) cfl
read (105, *) iter_max
read (105, *) save_frec
read (105, *) time_max 
read (105, *) residual
read (105, *) restart

close(105)
!****************************************************************************************

iter_max_in = iter_max				!THIS IS THE NON MODIFIED iter_max VALUE

!****************************************************************************************
!SOME DUMMY ARGUMENTS FOR FUTURE USE
!
!iaxi=0
!ivis=0
!iturb=0
!ilaw=0
!iecc=0
!****************************************************************************************



!****************************************************************************************
!DUMPING DATA ON SCREEN
!
print *
print *,'*************************************************'
print *,'        2DEUNS SOLVER                            '
print *,'        BY JOEL GUERRERO                         '
print *,'*************************************************'
print *
print *,'2D						 '
print *,'Euler computation	     '


if(time_type.eq.0) then

	print *,'Unsteady computation'	

else if(time_type.eq.1) then
	
	print *,'Steady computation (local time stepping)'

else

	print *,'You must choose time scheme'
	print *,'1 for unsteady or 2 for Euelr Steady computation (local time stepping)'
	print *
	stop ' ABNORMAL EXECUTION'

endif


if(restart.eq.0) then

	print *,'STARTING A NEW SOLUTION	     '

else

	print *,'STARTING FROM A PREVIOUS SOLUTION	     '

endif



print *,'*********************************************'
print *
print *,'*********************************************'



!MACH NUMBER AND ANGLE OF ATTACK
print*,'Free stream mach number  : ', in_mach
print*,'Angle of attack          : ', air_incidence_angle



!CFL NUMBER
print *,'Courant number (CFL)     : ', cfl
   
print *,'*********************************************'
print *
!****************************************************************************************



end subroutine read_data
