!FILE       :	tecplot_last_output.f90
!UNIT NAME  :	tecplot_last_output	(SUBROUTINE)
!DESCRIPTION:	This subroutine dumps data to tecplot format file
!		It dumps the last iteration
!		Written by Joel GUERRERO 
!		REV01-01/2007
!		Email: joegi.geo@yahoo.com

subroutine tecplot_last_output


use shared_data

implicit none






!***************************************************************************
!COMPUTE VELOCITIES FROM MOMENTUM
!
do is=1,n_ver

	vel_u(is)	=vars_actual(2,is)/vars_actual(1,is)
	vel_v(is)	=vars_actual(3,is)/vars_actual(1,is)
	vel_tot(is)	=sqrt(vel_u(is)*vel_u(is) + vel_v(is)*vel_v(is))

enddo
!***************************************************************************



!***************************************************************************
!DUMP MESH DATA TO tecoutput.tec FILE
!*
open(51,file='tecplot_last_output.tec',status='unknown')

write(51,*) 'VARIABLES = "X" "Y" "RHO" "U" "V" "PRES" '

write(51,*) 'ZONE T="Triangulation" N= ',n_ver,'E= ',n_ele,' DATAPACKING=POINT, ZONETYPE=FETRIANGLE'
	
do it=1,n_ver
	write(51,*) coor(1,it),coor(2,it),vars_actual(1,it),vel_u(it),vel_v(it),pres(it)
end do

do it=1,n_ele
	write(51,*) connectivity(1,it),connectivity(2,it),connectivity(3,it) 
end do


close(51)


!***************************************************************************



end subroutine tecplot_last_output
