!FILE       :	tecplot_output.f90
!UNIT NAME  :	tecplot_output	(SUBROUTINE)
!DESCRIPTION:	This subroutine dumps data to to tecplot format file
!		It dumps the intermediates files
!		It assigns the iteration number at the end of the name
!		Written by Joel GUERRERO 
!		REV01-01/2007, REV02-09/2020
!		Email: joegi.geo@yahoo.com

subroutine tecplot_output


use shared_data

implicit none





character (len=30) :: file_name
!INTEGER            :: ix


!***************************************************************************
!COMPUTE VELOCITIES FROM MOMENTUM
!
do is=1,n_ver

	vel_u(is)	=vars_actual(2,is)/vars_actual(1,is)
	vel_v(is)	=vars_actual(3,is)/vars_actual(1,is)
	vel_tot(is)	=sqrt(vel_u(is)*vel_u(is) + vel_v(is)*vel_v(is))

enddo
!***************************************************************************



!***************************************************************************
!DUMP MESH DATA TO tecoutput.tec FILE
!*

write (file_name,100) iter_actual
!100 format('tecplotintermediate_',i6,'.tec') 
100 format('tecplotintermediate_',i0,'.tec') 

open  (60,file=file_name,action="write",status="replace")
!open  (60,file=file_name,action="write",status="unknown")

write(60,*) 'VARIABLES = "X" "Y" "RHO" "U" "V" "PRES" '

write(60,*) 'ZONE T="Triangulation" N= ',n_ver,'E= ',n_ele,' DATAPACKING=POINT, ZONETYPE=FETRIANGLE'
	
do it=1,n_ver
	write(60,*) coor(1,it),coor(2,it),vars_actual(1,it),vel_u(it),vel_v(it),pres(it)
end do

do it=1,n_ele
	write(60,*) connectivity(1,it),connectivity(2,it),connectivity(3,it) 
end do


close(60)

!!!print *,'   DUMPING DATA TO FILE ',file_name
print *,'   DUMPING DATA TO FILE '
print *,'  '

!***************************************************************************



end subroutine tecplot_output
