!FILE       :	var_init.f90
!UNIT NAME  :	var_init	(SUBROUTINE)
!DESCRIPTION:	This subroutine initialize some global variables (first declared in shared data module)
!		Written by Joel GUERRERO 
!		REV01-01/2007
!		Email: joegi.geo@yahoo.com

subroutine var_init

use shared_data

implicit none





!==========================================================================================
!ATTENTION: ALL DUMMY VARIABLES DECLARED HERE ARE JUST OF TEMPORAL USED THEY ARE NOT
!			RELATED TO MEANINGFUL VALUES -JUST FOR TEMPORAL COMPUTATIONS-
!==========================================================================================


!****************************************************************************************
!GAS CONSTANT
gam     = 1.4
gam1    = gam - 1.0
gam4    = 1.0/gam1

!PRANDTL NUMBER
pr      = 0.72
prt     = 0.9
!****************************************************************************************



!****************************************************************************************
!NUMBER OF VARIABLES OF UN AND UA ARRAYS
num_var=6	!
!****************************************************************************************



!****************************************************************************************
!UPWINDING PARAMETERS
!
beta0	=	0.33333
beta1   =	1.0 - beta0
!****************************************************************************************



!****************************************************************************************
!RUNGE-KUTTA TIME INTEGRATION PROCESS PARAM
!
!     irk=3				!THESE ARE THE PARAMETERS FOR RK ORDER 3
!     alpha(1)=0.3333			!THESE ARE THE PARAMETERS FOR RK ORDER 3
!     alpha(2)=0.5			!THESE ARE THE PARAMETERS FOR RK ORDER 3
!     alpha(3)=1.0			!THESE ARE THE PARAMETERS FOR RK ORDER 3
!
 irk=4					!THESE ARE THE PARAMETERS FOR RK ORDER 4
 alpha(1)=0.11				!THESE ARE THE PARAMETERS FOR RK ORDER 4
 alpha(2)=0.2766			!THESE ARE THE PARAMETERS FOR RK ORDER 4
 alpha(3)=0.5				!THESE ARE THE PARAMETERS FOR RK ORDER 4
 alpha(4)=1.0				!THESE ARE THE PARAMETERS FOR RK ORDER 4
!**************************************************************************************** 



!****************************************************************************************
!VARIOUS VALUES
!
dx_grad			=	0							!dx_grad ARRAY
dy_grad			=	0							!dy_grad ARRAY

array_delta_time	=	0							!array_delta_time ARRAY
convar_exchange		=	0							!convar_exchange ARRAY

temperature_array	=	0							!TEMPERATURE ARRAY
vel_u			=	0							!VELOCITY ARRAY
vel_v			=	0							!VELOCITY ARRAY
vel_tot			=	0							!VELOCITY ARRAY

!flu_turb		=	0							!NOT YET USED FOR TURBULENCE USED

sum			=	0							!sum VARIABLE
sum_prev		=	0							!sum_prev VARIABLE

temp			=	0							!TEMPORAL VARIABLE
!****************************************************************************************



end subroutine var_init
